#include <stdio.h>    // まずはインクルードしておく
#include "dxlib2.h"   // Dynamixel Windowsライブラリのヘッダ

void main (void) {
  // デバイスID (COMポートごとに一意の値)
  DXDEVICEID  dev;

  // 指定されたパラメータでCOMポートを開く
  // 成功すれば0以外のユニークな値(デバイスID)が返される
  // 以後このデバイスIDを使用する
  dev = DX_OpenPort ("\\\\.\\COM11", 57143);

  // devが0でなければポートを開くのに成功
  if (dev) {
    printf("Open success\n");

    // ----ここにやりたい事を書く------------


    // --------------------------------------

    // 使い終わったポートは閉じる
    DX_ClosePort(dev);

  } else {
    printf("Open error\n");
  }
  printf( "Fin\n");

  getchar();  // プログラムがいきなり終了しない様、キー入力待ちをさせる
}
